Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596898 - libuuid.a not provided anymore
Summary: libuuid.a not provided anymore
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux-ng
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 18:10 UTC by Christophe GRENIER
Modified: 2010-10-07 11:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-07 11:13:53 UTC


Attachments (Terms of Use)

Description Christophe GRENIER 2010-05-27 18:10:38 UTC
Description of problem:
Previous version of libuuid-devel provided libuuid.a

How reproducible:
always

Steps to Reproduce:
1. Update to Fedora 13
  
Actual results:
libuuid.a missing

Expected results:
libuuid.a present

Additional info:
Please provide a libuuid-static with the now missing file. Without it, it can't compile static version of my utilities for users to test.

Comment 1 Michal Hlavinka 2010-05-28 08:55:28 UTC
libuuid.* library is not part of uuid-* but different package called just libuuid and its source package is util-linux-ng (see rpm -qi libuuid or rpm -qfi /lib64/libuuid.so.1 )

changing component

Comment 2 Karel Zak 2010-05-28 13:22:33 UTC
http://fedoraproject.org/wiki/Packaging/Guidelines#Packaging_Static_Libraries

Packages including libraries should exclude static libs as far as possible (eg by configuring with --disable-static). Static libraries should only be included in exceptional circumstances. Applications linking against libraries should as far as possible link against shared libraries not static versions. 
[...]
In general, packagers are strongly encouraged not to ship static libs unless a compelling reason exists. 

So, do we really have any exceptional circumstance here?

The library has very stavle API for years. Why you don't want to use shared libraries?

Comment 3 Christophe GRENIER 2010-05-28 14:48:22 UTC
My package testdisk is using the shared libs.
But on my website I also provides static binaries for Linux users using non-Fedora distributions. Without this package, it can't create static version anymore.

Comment 4 Karel Zak 2010-10-07 11:13:53 UTC
Sorry Christophe, this is not "compelling reason" from wide point of view.


Note You need to log in before you can comment on or make changes to this bug.